Fix testsuite for compatibility with 9.x.

9.x can't directly install 1.2 because that only exists as upgrade path
8 jobs for debian in 15 minutes and 8 seconds (queued for 3 seconds)
latest
Status Job ID Name Coverage
  Build
passed #395217
build

00:03:43

failed #383400
build

00:02:32

 
  Test
passed #383404
autopkgtest

00:05:10

passed #383405
blhc

00:01:15

passed #383403
lintian

00:01:33

passed #383406
piuparts

00:04:13

passed #383402
test-build-all

00:03:55

passed #383401
test-build-any

00:04:16